Class | ActionView::TemplateFinder
In: | lib/gettext/rails.rb
Parent: | Object

### Methods

pick_template_with_gettext

### Public Instance methods

pick_template_with_gettext(template_path, extension)

[Source]

         # File lib/gettext/rails.rb, line 296
    296:     def pick_template_with_gettext(template_path, extension)
    297:       locale = GetText.locale
    298:       [locale.to_general, locale.to_s, locale.language, Locale.default.language].uniq.each do |v|
    299:         file_name = "#{template_path}_#{v}.#{extension}"
    300:         base_path = find_base_path_for(file_name)
    301:         return "#{base_path}/#{file_name}" unless base_path.blank?
    302:       end
    303:       pick_template_without_gettext(template_path, extension)
    304:     end

[Validate]